<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/Commanders.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Commanders_8cpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Commanders.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Commanders&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Base functions of the library&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">*************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;EventStack.hpp&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;CommandersEventHandlerFunction Commanders::EventHandler = NULL;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> Commanders::lastEventType;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keywordtype">int</span> Commanders::lastEventData;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;GPIO_pin_t <a class="code" href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">Commanders::StatusLedPin</a> = DP_INVALID;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classCommanders.html#a8c5e99e96956bdbaf003b78355a6460b">Commanders::BlinkDelay</a> = 1000;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> Commanders::StartStatusLed = 0;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keywordtype">bool</span> FirstLoop = <span class="keyword">true</span>;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classCommanders.html#a86d58bbfa5487810b14973c1eb5d75bd">   18</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a86d58bbfa5487810b14973c1eb5d75bd">Commanders::StatusBlink</a>()</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;{</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">Commanders::StatusLedPin</a> != DP_INVALID &amp;&amp; Commanders::StartStatusLed == 0)</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    {</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        Commanders::StartStatusLed = millis();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        digitalWrite2f(<a class="code" href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">Commanders::StatusLedPin</a>, HIGH);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    }</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;}</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">   27</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">Commanders::RaiseEvent</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEvent, <span class="keywordtype">int</span> inData)</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;{</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#ifdef VISUALSTUDIO</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    ArduiEmulator::ArduinoForm::_eventLog(<span class="stringliteral">&quot;Sent&quot;</span>, inId, inEvent, inData);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="classCommanders.html#a86d58bbfa5487810b14973c1eb5d75bd">Commanders::StatusBlink</a>();</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keywordflow">if</span> (*(Commanders::EventHandler) != NULL)</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    {</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        <a class="code" href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">Commanders::SetLastEventType</a>(inEvent);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <a class="code" href="classCommanders.html#ac0885243a075244f75612900460d40ab">Commanders::SetLastEventData</a>(inData);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        Commanders::EventHandler(inId, inEvent, inData);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <span class="keywordflow">return</span> inId;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    }</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="classEventStack.html#aa069fd5ec754f59e4285bc3a38ff1b78">EventStack::EventsStack</a>.<a class="code" href="classEventStack.html#ae68541fb067cda62a399a9cea46ca202">PushEvent</a>(inId, inEvent, inData);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;}</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#if defined(COMMANDERS_DEBUG_MODE) || defined(COMMANDERS_PRINT_COMMANDERS)</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a2153ff5a87528ef0701daa61cd8601a9">Commanders::printEventMoveType</a>(<a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a> inMoveType)</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;{</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordflow">switch</span> (inMoveType)</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    {</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65">COMMANDERS_MOVE_MORE</a>:      Serial.print(F(<span class="stringliteral">&quot;MORE&quot;</span>));        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d">COMMANDERS_MOVE_LESS</a>:      Serial.print(F(<span class="stringliteral">&quot;LESS&quot;</span>));        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad901d0f2c65db46d15c17ed4b4855125">COMMANDERS_MOVE_STOP</a>:      Serial.print(F(<span class="stringliteral">&quot;STOP&quot;</span>));        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e">COMMANDERS_MOVE_LEFT</a>:      Serial.print(F(<span class="stringliteral">&quot;LEFT&quot;</span>));        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930">COMMANDERS_MOVE_RIGHT</a>:     Serial.print(F(<span class="stringliteral">&quot;RIGHT&quot;</span>));       <span class="keywordflow">break</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baab3c73917312becdd03fe37599aad8654">COMMANDERS_MOVE_CENTER</a>:    Serial.print(F(<span class="stringliteral">&quot;CENTER&quot;</span>));      <span class="keywordflow">break</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa411dad6eae5f4b6ee6a37ed360630b8a">COMMANDERS_MOVE_TOP</a>:       Serial.print(F(<span class="stringliteral">&quot;TOP&quot;</span>));         <span class="keywordflow">break</span>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baadc7cc4dd0d8494d85886f38e272e9dbd">COMMANDERS_MOVE_BOTTOM</a>:    Serial.print(F(<span class="stringliteral">&quot;BOTTOM&quot;</span>));      <span class="keywordflow">break</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa70fce607487766319fb7c8d6798744dd">COMMANDERS_MOVE_STRAIGHT</a>:  Serial.print(F(<span class="stringliteral">&quot;STRAIGHT&quot;</span>));    <span class="keywordflow">break</span>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa0d89916c4b0bcec7569179ec36bae13b">COMMANDERS_MOVE_DIVERGE</a>:   Serial.print(F(<span class="stringliteral">&quot;DIVERGE&quot;</span>));     <span class="keywordflow">break</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826">COMMANDERS_MOVE_ON</a>:        Serial.print(F(<span class="stringliteral">&quot;ON&quot;</span>));          <span class="keywordflow">break</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6">COMMANDERS_MOVE_OFF</a>:       Serial.print(F(<span class="stringliteral">&quot;OFF&quot;</span>));         <span class="keywordflow">break</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    }</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;}</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classCommanders.html#af67a26985403e912486b851e3b44a6d6">Commanders::printEventData</a>(<a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, <span class="keywordtype">int</span> inEventData)</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;{</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordflow">switch</span> (inEventType)</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    {</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a>:</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <a class="code" href="classCommanders.html#a2153ff5a87528ef0701daa61cd8601a9">printEventMoveType</a>((<a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a>)inEventData);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">COMMANDERS_EVENT_MOVEPOSITION</a>:</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        Serial.print(inEventData, DEC);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec">COMMANDERS_EVENT_MOVEPOSITIONINDEX</a>:</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        Serial.print(inEventData, DEC);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71">COMMANDERS_EVENT_CONFIG</a>:</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        Serial.print(COMMANDERSCONFIGADDRESS(inEventData), DEC);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        Serial.print(F(<span class="stringliteral">&quot; / &quot;</span>));</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        Serial.print(COMMANDERSCONFIGVALUE(inEventData), DEC);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    }</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;}</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a5594e42de65bbf0bff7065c2eaaa3c7e">Commanders::printEventType</a>(<a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, <span class="keywordtype">bool</span> inDataFollow)</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;{</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordflow">switch</span> (inEventType)</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    {</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7">COMMANDERS_EVENT_NONE</a>:             Serial.println(F(<span class="stringliteral">&quot;NONE&quot;</span>));              <span class="keywordflow">break</span>;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca23179b0dcca045d2d7c9ecffa607203d">COMMANDERS_EVENT_TOGGLE</a>:           Serial.println(F(<span class="stringliteral">&quot;TOGGLE&quot;</span>));            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a>:             Serial.print(F(<span class="stringliteral">&quot;MOVE&quot;</span>));                <span class="keywordflow">break</span>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">COMMANDERS_EVENT_MOVEPOSITION</a>:     Serial.print(F(<span class="stringliteral">&quot;MOVEPOSITION&quot;</span>));        <span class="keywordflow">break</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61">COMMANDERS_EVENT_MOVEPOSITIONID</a>:   Serial.print(F(<span class="stringliteral">&quot;MOVEPOSITIONID&quot;</span>));      <span class="keywordflow">break</span>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec">COMMANDERS_EVENT_MOVEPOSITIONINDEX</a>:Serial.print(F(<span class="stringliteral">&quot;MOVEPOSITIONINDEX&quot;</span>));   <span class="keywordflow">break</span>;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71">COMMANDERS_EVENT_CONFIG</a>:           Serial.print(F(<span class="stringliteral">&quot;CONFIG&quot;</span>));              <span class="keywordflow">break</span>;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordflow">if</span> (inDataFollow)</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        <span class="keywordflow">switch</span> (inEventType)</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        {</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a>:</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">COMMANDERS_EVENT_MOVEPOSITION</a>:</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec">COMMANDERS_EVENT_MOVEPOSITIONINDEX</a>:</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71">COMMANDERS_EVENT_CONFIG</a>:</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            Serial.print(F(<span class="stringliteral">&quot; &quot;</span>));</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        }</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;}</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a4b8b1bb3a9cb5b419562ddca40471ab8">Commanders::printEvent</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, <span class="keywordtype">int</span> inEventData)</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;{</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;Commander event : Address : &quot;</span>));</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    Serial.print(inId, DEC);</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; / &quot;</span>));</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <a class="code" href="classCommanders.html#a5594e42de65bbf0bff7065c2eaaa3c7e">printEventType</a>(inEventType, <span class="keyword">true</span>);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <a class="code" href="classCommanders.html#af67a26985403e912486b851e3b44a6d6">printEventData</a>(inEventType, inEventData);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    Serial.println(F(<span class="stringliteral">&quot;&quot;</span>));</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;}</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="classCommanders.html#af717de804be2a30257ca52b987143cc3">  124</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classCommanders.html#af717de804be2a30257ca52b987143cc3">Commanders::loop</a>()</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;{</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordflow">if</span> (FirstLoop)</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    {</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_DEBUG_MODE</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;*** Setup Commanders Finished.&quot;</span>));</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        <a class="code" href="classCommander.html#aa11f6874d5b0faad6867415fe20ee96d">Commander::BeforeFirstLoops</a>();</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        FirstLoop = <span class="keyword">false</span>;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    }</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">Commanders::StatusLedPin</a> != DP_INVALID &amp;&amp; </div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        Commanders::StartStatusLed &gt; 0 &amp;&amp; </div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        millis() - Commanders::StartStatusLed &gt; <a class="code" href="classCommanders.html#a8c5e99e96956bdbaf003b78355a6460b">Commanders::BlinkDelay</a>)</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    {</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        digitalWrite2f(<a class="code" href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">Commanders::StatusLedPin</a>, LOW);</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        Commanders::StartStatusLed = 0;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    }</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> id;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <span class="keywordtype">id</span> = <a class="code" href="classCommander.html#a10c7c5ee5db3da8acf2b7c8bfd5e3067">Commander::loops</a>();</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keywordflow">if</span> (*(Commanders::EventHandler) == NULL)</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    {</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> type;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        <span class="keywordtype">int</span> data;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        byte <span class="keyword">event</span> = <a class="code" href="classEventStack.html#aa069fd5ec754f59e4285bc3a38ff1b78">EventStack::EventsStack</a>.<a class="code" href="classEventStack.html#ac926c16835a21a1710d986040ce76b57">GetPendingEventIndex</a>();</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;        <span class="keywordflow">if</span> (<a class="code" href="structEvent.html">event</a> &lt; EVENT_MAXNUMBER)</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;        {</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;            <a class="code" href="classEventStack.html#aa069fd5ec754f59e4285bc3a38ff1b78">EventStack::EventsStack</a>.<a class="code" href="classEventStack.html#a0cd732c42b231ae7e31ec5b77d23faec">GetEvent</a>(<a class="code" href="structEvent.html">event</a>, &amp;<span class="keywordtype">id</span>, &amp;type, &amp;data);</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;            <a class="code" href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">Commanders::SetLastEventType</a>(type);</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;            <a class="code" href="classCommanders.html#ac0885243a075244f75612900460d40ab">Commanders::SetLastEventData</a>(data);</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        }</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    }</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    <span class="keywordflow">return</span> id;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;}</div><div class="ttc" id="classEventStack_html_a0cd732c42b231ae7e31ec5b77d23faec"><div class="ttname"><a href="classEventStack.html#a0cd732c42b231ae7e31ec5b77d23faec">EventStack::GetEvent</a></div><div class="ttdeci">void GetEvent(byte inIndex, unsigned long *inpId, COMMANDERS_EVENT_TYPE *inpType, int *inpData)</div><div class="ttdef"><b>Definition:</b> <a href="EventStack_8cpp_source.html#l00037">EventStack.cpp:37</a></div></div>
<div class="ttc" id="classCommander_html_a10c7c5ee5db3da8acf2b7c8bfd5e3067"><div class="ttname"><a href="classCommander.html#a10c7c5ee5db3da8acf2b7c8bfd5e3067">Commander::loops</a></div><div class="ttdeci">static unsigned long loops()</div><div class="ttdef"><b>Definition:</b> <a href="Commander_8cpp_source.html#l00055">Commander.cpp:55</a></div></div>
<div class="ttc" id="classCommander_html_aa11f6874d5b0faad6867415fe20ee96d"><div class="ttname"><a href="classCommander.html#aa11f6874d5b0faad6867415fe20ee96d">Commander::BeforeFirstLoops</a></div><div class="ttdeci">static void BeforeFirstLoops()</div><div class="ttdef"><b>Definition:</b> <a href="Commander_8cpp_source.html#l00033">Commander.cpp:33</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61">COMMANDERS_EVENT_MOVEPOSITIONID</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00032">Events.h:32</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca23179b0dcca045d2d7c9ecffa607203d"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca23179b0dcca045d2d7c9ecffa607203d">COMMANDERS_EVENT_TOGGLE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00028">Events.h:28</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca1d5dba6e4ee91a8605ac761e4f91afec">COMMANDERS_EVENT_MOVEPOSITIONINDEX</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00031">Events.h:31</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca06e662a86df4cb9cc66585d7948d4a71">COMMANDERS_EVENT_CONFIG</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00033">Events.h:33</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00029">Events.h:29</a></div></div>
<div class="ttc" id="classCommanders_html_af67a26985403e912486b851e3b44a6d6"><div class="ttname"><a href="classCommanders.html#af67a26985403e912486b851e3b44a6d6">Commanders::printEventData</a></div><div class="ttdeci">static void printEventData(COMMANDERS_EVENT_TYPE inEventType, int inEventData)</div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa72085934c5621169aa9f5e3f7a32a7c6">COMMANDERS_MOVE_OFF</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00021">Events.h:21</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa1675bf6790ab941818b2623b710d9826">COMMANDERS_MOVE_ON</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00020">Events.h:20</a></div></div>
<div class="ttc" id="classCommanders_html_a4b8b1bb3a9cb5b419562ddca40471ab8"><div class="ttname"><a href="classCommanders.html#a4b8b1bb3a9cb5b419562ddca40471ab8">Commanders::printEvent</a></div><div class="ttdeci">static void printEvent(unsigned long inId, COMMANDERS_EVENT_TYPE inEventType, int inEventData)</div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa0d89916c4b0bcec7569179ec36bae13b"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa0d89916c4b0bcec7569179ec36bae13b">COMMANDERS_MOVE_DIVERGE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00019">Events.h:19</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baadc7cc4dd0d8494d85886f38e272e9dbd"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baadc7cc4dd0d8494d85886f38e272e9dbd">COMMANDERS_MOVE_BOTTOM</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00017">Events.h:17</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa411dad6eae5f4b6ee6a37ed360630b8a"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa411dad6eae5f4b6ee6a37ed360630b8a">COMMANDERS_MOVE_TOP</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00016">Events.h:16</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baab3c73917312becdd03fe37599aad8654"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baab3c73917312becdd03fe37599aad8654">COMMANDERS_MOVE_CENTER</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00015">Events.h:15</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e">COMMANDERS_MOVE_LEFT</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00013">Events.h:13</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65">COMMANDERS_MOVE_MORE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00010">Events.h:10</a></div></div>
<div class="ttc" id="classEventStack_html_ac926c16835a21a1710d986040ce76b57"><div class="ttname"><a href="classEventStack.html#ac926c16835a21a1710d986040ce76b57">EventStack::GetPendingEventIndex</a></div><div class="ttdeci">byte GetPendingEventIndex()</div><div class="ttdef"><b>Definition:</b> <a href="EventStack_8cpp_source.html#l00028">EventStack.cpp:28</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2ba"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a></div><div class="ttdeci">COMMANDERS_MOVE_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00008">Events.h:8</a></div></div>
<div class="ttc" id="classCommanders_html_af717de804be2a30257ca52b987143cc3"><div class="ttname"><a href="classCommanders.html#af717de804be2a30257ca52b987143cc3">Commanders::loop</a></div><div class="ttdeci">static unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8cpp_source.html#l00124">Commanders.cpp:124</a></div></div>
<div class="ttc" id="classCommanders_html_a2153ff5a87528ef0701daa61cd8601a9"><div class="ttname"><a href="classCommanders.html#a2153ff5a87528ef0701daa61cd8601a9">Commanders::printEventMoveType</a></div><div class="ttdeci">static void printEventMoveType(COMMANDERS_MOVE_TYPE inMoveType)</div></div>
<div class="ttc" id="classEventStack_html_ae68541fb067cda62a399a9cea46ca202"><div class="ttname"><a href="classEventStack.html#ae68541fb067cda62a399a9cea46ca202">EventStack::PushEvent</a></div><div class="ttdeci">void PushEvent(unsigned long inId, COMMANDERS_EVENT_TYPE inType, int inData)</div><div class="ttdef"><b>Definition:</b> <a href="EventStack_8cpp_source.html#l00012">EventStack.cpp:12</a></div></div>
<div class="ttc" id="Events_8h_html_a48ad4dd16b8e22f2c8bc92b154479e92"><div class="ttname"><a href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a></div><div class="ttdeci">#define UNDEFINED_ID</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00038">Events.h:38</a></div></div>
<div class="ttc" id="classEventStack_html_aa069fd5ec754f59e4285bc3a38ff1b78"><div class="ttname"><a href="classEventStack.html#aa069fd5ec754f59e4285bc3a38ff1b78">EventStack::EventsStack</a></div><div class="ttdeci">static EventStack EventsStack</div><div class="ttdef"><b>Definition:</b> <a href="EventStack_8hpp_source.html#l00036">EventStack.hpp:36</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930">COMMANDERS_MOVE_RIGHT</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00014">Events.h:14</a></div></div>
<div class="ttc" id="classCommanders_html_ac0885243a075244f75612900460d40ab"><div class="ttname"><a href="classCommanders.html#ac0885243a075244f75612900460d40ab">Commanders::SetLastEventData</a></div><div class="ttdeci">static void SetLastEventData(int inData)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00093">Commanders.hpp:93</a></div></div>
<div class="ttc" id="classCommanders_html_a5594e42de65bbf0bff7065c2eaaa3c7e"><div class="ttname"><a href="classCommanders.html#a5594e42de65bbf0bff7065c2eaaa3c7e">Commanders::printEventType</a></div><div class="ttdeci">static void printEventType(COMMANDERS_EVENT_TYPE inEventType, bool inDataFollow)</div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baa70fce607487766319fb7c8d6798744dd"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa70fce607487766319fb7c8d6798744dd">COMMANDERS_MOVE_STRAIGHT</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00018">Events.h:18</a></div></div>
<div class="ttc" id="classCommanders_html_a5805415d6f7e358f1b26b34e59fe89ac"><div class="ttname"><a href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">Commanders::SetLastEventType</a></div><div class="ttdeci">static void SetLastEventType(COMMANDERS_EVENT_TYPE inEvent)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00089">Commanders.hpp:89</a></div></div>
<div class="ttc" id="classCommanders_html_a7adbe54da67e90e0d39b58d69ac3add0"><div class="ttname"><a href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">Commanders::RaiseEvent</a></div><div class="ttdeci">static unsigned long RaiseEvent(unsigned long inId, COMMANDERS_EVENT_TYPE inEvent = COMMANDERS_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8cpp_source.html#l00027">Commanders.cpp:27</a></div></div>
<div class="ttc" id="classCommanders_html_a86d58bbfa5487810b14973c1eb5d75bd"><div class="ttname"><a href="classCommanders.html#a86d58bbfa5487810b14973c1eb5d75bd">Commanders::StatusBlink</a></div><div class="ttdeci">static void StatusBlink()</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8cpp_source.html#l00018">Commanders.cpp:18</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baad901d0f2c65db46d15c17ed4b4855125"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad901d0f2c65db46d15c17ed4b4855125">COMMANDERS_MOVE_STOP</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00012">Events.h:12</a></div></div>
<div class="ttc" id="classCommanders_html_a8c5e99e96956bdbaf003b78355a6460b"><div class="ttname"><a href="classCommanders.html#a8c5e99e96956bdbaf003b78355a6460b">Commanders::BlinkDelay</a></div><div class="ttdeci">static unsigned int BlinkDelay</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00035">Commanders.hpp:35</a></div></div>
<div class="ttc" id="structEvent_html"><div class="ttname"><a href="structEvent.html">Event</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderPush_8hpp_source.html#l00012">ButtonsCommanderPush.hpp:12</a></div></div>
<div class="ttc" id="classCommanders_html_a56f9821ce0a39115f26313cbc3fb0870"><div class="ttname"><a href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">Commanders::StatusLedPin</a></div><div class="ttdeci">static GPIO_pin_t StatusLedPin</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00033">Commanders.hpp:33</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">COMMANDERS_EVENT_MOVEPOSITION</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00030">Events.h:30</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d">COMMANDERS_MOVE_LESS</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00011">Events.h:11</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490c"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a></div><div class="ttdeci">COMMANDERS_EVENT_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00025">Events.h:25</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4e8b4f5861d5b6bb06b4460524e526b7">COMMANDERS_EVENT_NONE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00027">Events.h:27</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>Commanders.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
